<?php

namespace App\Console\Commands;

use App\Http\Controllers\Api\JdOrderApiController;
use Illuminate\Console\Command;

class GetJdOrderCancel extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'GetJdOrderCancel';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command GetJdOrderCancel';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //
        $getOrder = new JdOrderApiController();
        $ret = $getOrder->getOrderCancelByJd();
        print_r($ret);
    }
}
